package request


type AlibabaTclsFulfillQaOrderCreateRequest struct {
    /*
        原始履约单号     */
    FulfillOrderId  *string `json:"fulfill_order_id" required:"true" `
    /*
        目标ip     */
    TargetIp  *string `json:"target_ip,omitempty" required:"false" `
    /*
        执行人姓名     */
    Creator  *string `json:"creator" required:"true" `
    /*
        执行人工号     */
    JobNo  *string `json:"job_no" required:"true" `
}

func (s *AlibabaTclsFulfillQaOrderCreateRequest) SetFulfillOrderId(v string) *AlibabaTclsFulfillQaOrderCreateRequest {
    s.FulfillOrderId = &v
    return s
}
func (s *AlibabaTclsFulfillQaOrderCreateRequest) SetTargetIp(v string) *AlibabaTclsFulfillQaOrderCreateRequest {
    s.TargetIp = &v
    return s
}
func (s *AlibabaTclsFulfillQaOrderCreateRequest) SetCreator(v string) *AlibabaTclsFulfillQaOrderCreateRequest {
    s.Creator = &v
    return s
}
func (s *AlibabaTclsFulfillQaOrderCreateRequest) SetJobNo(v string) *AlibabaTclsFulfillQaOrderCreateRequest {
    s.JobNo = &v
    return s
}

func (req *AlibabaTclsFulfillQaOrderCreateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.FulfillOrderId != nil) {
        paramMap["fulfill_order_id"] = *req.FulfillOrderId
    }
    if(req.TargetIp != nil) {
        paramMap["target_ip"] = *req.TargetIp
    }
    if(req.Creator != nil) {
        paramMap["creator"] = *req.Creator
    }
    if(req.JobNo != nil) {
        paramMap["job_no"] = *req.JobNo
    }
    return paramMap
}

func (req *AlibabaTclsFulfillQaOrderCreateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}